#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    int n; cin >> n;
    for (int i = 1; i <= 2 * n; i++) {
        if (i % 2 == 1) cout << i / 2 + 1 << " ";
        else cout << 2 * n - i / 2 + 1 << " ";

        if (i == n) cout << endl;
    }
    cout << endl;


    return 0;
}